Package jakarta.security.auth.message

## Class AuthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException
        - - jakarta.security.auth.message.AuthException

All Implemented Interfaces:
  `java.io.Serializable`

    public class AuthException
    extends javax.security.auth.login.LoginException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`AuthException()`
`AuthException​(java.lang.String msg)`
`AuthException​(java.lang.String msg, java.lang.Throwable cause)` Construct an instance of AuthException.
`AuthException​(java.lang.Throwable cause)` Construct an instance of AuthException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthException

    public AuthException()

#### AuthException

    public AuthException​(java.lang.String msg)

#### AuthException

    public AuthException​(java.lang.String msg,
                         java.lang.Throwable cause)

Construct an instance of AuthException.

Parameters:
  `msg` - Exception message
  `cause` - The cause of the exception
Since:
  Authentication 3.0

#### AuthException

    public AuthException​(java.lang.Throwable cause)

Construct an instance of AuthException.

Parameters:
  `cause` - The cause of the exception
Since:
  Authentication 3.0